Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.org
Class DirectoryClientService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
          com.tibco.bpm.web.client.services.client.org.DirectoryClientService

    public class DirectoryClientService

extends OrgBrowserClientService

Field Summary

Fields inherited from class com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
`BASE_URL, XMLFRAGMENT`

Constructor Summary
`DirectoryClientService()`

Method Summary
`void` | `deleteContainer(long id, com.google.gwt.user.client.rpc.AsyncCallback callback)` ------------------------------------------------------------------------ deleteLdapContainer ------------------------------------------------------------------------
`void` | `getCandidateDetails(long containerId, LdapResourceCandidatePayLoad candidate, com.google.gwt.user.client.rpc.AsyncCallback<CandidateDetailsResponse> callback)` ------------------------------------------------------------------------ getCandidateDetails ------------------------------------------------------------------------
`static DirectoryClientService` | `getInstance()`
`void` | `listAttributeNames(java.lang.String ldapAlias, java.lang.String ldapQuery, int sampleSize, java.lang.String baseDn, com.google.gwt.user.client.rpc.AsyncCallback<ListAttributeNamesResponse> callback)` ------------------------------------------------------------------------ listAttributeNames ------------------------------------------------------------------------
`void` | `listCandidateResources(int containerId, com.google.gwt.user.client.rpc.AsyncCallback<LdapResourceCandidateResponse> callback)` ------------------------------------------------------------------------ listCandidateResources ------------------------------------------------------------------------
`void` | `listConnections(com.google.gwt.user.client.rpc.AsyncCallback<LdapConnectionsResponse> callback)` ------------------------------------------------------------------------ listConnections ------------------------------------------------------------------------
`void` | `listContainers(com.google.gwt.user.client.rpc.AsyncCallback<LdapContainerResponse> callback)` ------------------------------------------------------------------------ listContainers ------------------------------------------------------------------------
`void` | `saveContainer(LdapContainerPayLoad container, com.google.gwt.user.client.rpc.AsyncCallback<SaveLdapContainerResponse> callback)` ------------------------------------------------------------------------ saveLdapContainer ------------------------------------------------------------------------
`void` | `updateContainer(long id, LdapContainerPayLoad container, com.google.gwt.user.client.rpc.AsyncCallback<UpdateLdapContainerResponse> callback)` ------------------------------------------------------------------------ updateLdapContainer ------------------------------------------------------------------------

Methods inherited from class com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
`cleanseResponse, getHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryClientService

    public DirectoryClientService()

Method Detail

### getInstance

    public static DirectoryClientService getInstance()

### listContainers

    public void listContainers(com.google.gwt.user.client.rpc.AsyncCallback<LdapContainerResponse> callback)

  ------------------------------------------------------------------------ listContainers ------------------------------------------------------------------------

  Parameters:
    `callback` -

### listConnections

    public void listConnections(com.google.gwt.user.client.rpc.AsyncCallback<LdapConnectionsResponse> callback)

  ------------------------------------------------------------------------ listConnections ------------------------------------------------------------------------

  Parameters:
    `callback` -

### listCandidateResources

    public void listCandidateResources(int containerId,
                                       com.google.gwt.user.client.rpc.AsyncCallback<LdapResourceCandidateResponse> callback)

  ------------------------------------------------------------------------ listCandidateResources ------------------------------------------------------------------------

  Parameters:
    `containerId` -
    `callback` -

### listAttributeNames

    public void listAttributeNames(java.lang.String ldapAlias,
                                   java.lang.String ldapQuery,
                                   int sampleSize,
                                   java.lang.String baseDn,
                                   com.google.gwt.user.client.rpc.AsyncCallback<ListAttributeNamesResponse> callback)

  ------------------------------------------------------------------------ listAttributeNames ------------------------------------------------------------------------

  Parameters:
    `ldapAlias` -
    `ldapQuery` -
    `sampleSize` -
    `baseDn` -
    `callback` -

### saveContainer

    public void saveContainer(LdapContainerPayLoad container,
                              com.google.gwt.user.client.rpc.AsyncCallback<SaveLdapContainerResponse> callback)

  ------------------------------------------------------------------------ saveLdapContainer ------------------------------------------------------------------------

  Parameters:
    `container` -
    `callback` -

### updateContainer

    public void updateContainer(long id,
                                LdapContainerPayLoad container,
                                com.google.gwt.user.client.rpc.AsyncCallback<UpdateLdapContainerResponse> callback)

  ------------------------------------------------------------------------ updateLdapContainer ------------------------------------------------------------------------

  Parameters:
    `id` -
    `container` -
    `callback` -

### deleteContainer

    public void deleteContainer(long id,
                                com.google.gwt.user.client.rpc.AsyncCallback callback)

  ------------------------------------------------------------------------ deleteLdapContainer ------------------------------------------------------------------------

  Parameters:
    `id` -
    `container` -
    `callback` -

### getCandidateDetails

    public void getCandidateDetails(long containerId,
                                    LdapResourceCandidatePayLoad candidate,
                                    com.google.gwt.user.client.rpc.AsyncCallback<CandidateDetailsResponse> callback)

  ------------------------------------------------------------------------ getCandidateDetails ------------------------------------------------------------------------

  Parameters:
    `containerId` -
    `candidate` -
    `callback` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.